package com.steering.model.qcm;

/**
 * 数据库表PIPE_CHECKCONSIGN_DETAIL所对应的实体类（生成工具：代码生成器3.0）
 * @author DESKTOP-6099KAF   date 2016-09-19
 */
@SuppressWarnings("serial")
public class PipeCheckconsignDetailEntity implements java.io.Serializable {
    /**
     * 检验编号
     */
    private String checkNo = "";
    /**
     * 生产批号
     */
    private String lotNo = "";
    /**
     * 试样号 样管号
     */
    private String sampleNo = "";
    /**
     * 样条号(钢印号)
     */
    private String sampleNoMin = "";
    /**
     * 样条码 样管号 样品条形码
     */
    private String sampleBarcode = "";
    /**
     * 取样长度
     */
    private String sampleLen = "";
    /**
     * 检验标准(产品标准)
     */
    private String checkStd = "";
    /**
     * 检验项目大类代码PHY_CODE                 填写SAMPLE_KEY
     */
    private String phyCodeMax = "";
    /**
     * 检验项目大类名称PHY_TYPE(JYXMMC)
     */
    private String phyNameMax = "";
    /**
     * 检验委托个数(样条数GS)
     */
    private String sampleCount = "";
    /**
     * 试验类别(所属实验室项目)
     */
    private String deptId = "";
    /**
     * 长LENGTH
     */
    private String length = "";
    /**
     * 宽
     */
    private String width = "";
    /**
     * 试样索引号(COM_BASE_SPLINE)
     */
    private String eic = "";
    /**
     * 试验方向
     */
    private String phyDir = "";
    /**
     * 名义规格
     */
    private String sizeDesc = "";
    /**
     * 加工送样人
     */
    private String jgSendName = "";
    /**
     * 加工送样时间
     */
    private String jgSendTime = "";
    /**
     * 试验室收样人
     */
    private String labReceiveName = "";
    /**
     * 试验室收样时间
     */
    private String labReceiveTime = "";
    /**
     * 环境温度
     */
    private String checkTemp = "";
    /**
     * 设备编码
     */
    private String deviceNo = "";
    /**
     * 设备名称
     */
    private String deviceName = "";
    /**
     * 化验班次
     */
    private String checkShift = "";
    /**
     * 化验班组
     */
    private String checkClass = "";
    /**
     * 化验员(录入人)
     */
    private String checkName = "";
    /**
     * 化验时间(录入时间)
     */
    private String checkTime = "";
    /**
     * 审核人
     */
    private String auditName = "";
    /**
     * 审核时间
     */
    private String auditTime = "";
    /**
     * 是否小样热处理(0否，1是) 2已接受样品 3已录入结果 4审核  5样品已返回加工 6已发送样品到试验室
     */
    private String isrcl = "";
    /**
     * 热处理样品流转备注
     */
    private String rclMoveRemark = "";
    /**
     * 是否监制(在需要监制的情况下0为不监制，1为监制未通知  2为监制已通知，3监制取消，4监制完成)
     */
    private String isNoticeProducer = "";
    /**
     * 监制流转备注
     */
    private String noticeProducerRemark = "";
    /**
     * 是否重取样 0否 1是 00否 10 重取样无余料 11重取样有余料
     */
    private String isResampleRest = "";
    /**
     * 重取样流转备注
     */
    private String resampleRestRemark = "";
    /**
     * 特殊样品标志位 ONH 0 开头 00 化学未下发，01化学已下发 02 ONH已确认  ，工程力学1开头 10未确认 11返回加工 12加工收样 13加工下发 14已确认
     */
    private String specFlag = "";
    /**
     * 特殊样品流转备注
     */
    private String specMoveRemark = "";
    /**
     * 0未确认，1待确认，2试验室确认收样，3录入，4审核，9加工已收样
     */
    private String flag = "";
    /**
     * 样品备注
     */
    private String sampleRemark = "";
    /**
     * 备注
     */
    private String remark = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 性能批号
     */
    private String batchNo = "";
    /**
     * 试样类型取样类型0(初样/1复样)
     */
    private String sampleType = "";
    /**
     * 委托单位
     */
    private String consigner = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    private String forCheckNo = "";
    private String rate = "";
    private String checkCount = "";
    private String craftSource = "";
    private String cailiPath = "";
    private String fushiPath = "";
    private String jinwuPath = "";
    private String gongchengPath = "";
    private String dibeiPath = "";
    private String huaxuePath = "";
    private String lotNoGroup = "";
	

	/**
     * 检验编号
     * @return value
     */
    public String getCheckNo() {
        return checkNo;
    }

    /**
     * 检验编号
     * @param checkNo value
     */
    public void setCheckNo(String checkNo) {
        this.checkNo = checkNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 试样号 样管号
     * @return value
     */
    public String getSampleNo() {
        return sampleNo;
    }

    /**
     * 试样号 样管号
     * @param sampleNo value
     */
    public void setSampleNo(String sampleNo) {
        this.sampleNo = sampleNo;
    }

    /**
     * 样条号(钢印号)
     * @return value
     */
    public String getSampleNoMin() {
        return sampleNoMin;
    }

    /**
     * 样条号(钢印号)
     * @param sampleNoMin value
     */
    public void setSampleNoMin(String sampleNoMin) {
        this.sampleNoMin = sampleNoMin;
    }

    /**
     * 样条码 样管号 样品条形码
     * @return value
     */
    public String getSampleBarcode() {
        return sampleBarcode;
    }

    /**
     * 样条码 样管号 样品条形码
     * @param sampleBarcode value
     */
    public void setSampleBarcode(String sampleBarcode) {
        this.sampleBarcode = sampleBarcode;
    }

    /**
     * 取样长度
     * @return value
     */
    public String getSampleLen() {
        return sampleLen;
    }

    /**
     * 取样长度
     * @param sampleLen value
     */
    public void setSampleLen(String sampleLen) {
        this.sampleLen = sampleLen;
    }

    /**
     * 检验标准(产品标准)
     * @return value
     */
    public String getCheckStd() {
        return checkStd;
    }

    /**
     * 检验标准(产品标准)
     * @param checkStd value
     */
    public void setCheckStd(String checkStd) {
        this.checkStd = checkStd;
    }

    /**
     * 检验项目大类代码PHY_CODE                 填写SAMPLE_KEY
     * @return value
     */
    public String getPhyCodeMax() {
        return phyCodeMax;
    }

    /**
     * 检验项目大类代码PHY_CODE                 填写SAMPLE_KEY
     * @param phyCodeMax value
     */
    public void setPhyCodeMax(String phyCodeMax) {
        this.phyCodeMax = phyCodeMax;
    }

    /**
     * 检验项目大类名称PHY_TYPE(JYXMMC)
     * @return value
     */
    public String getPhyNameMax() {
        return phyNameMax;
    }

    /**
     * 检验项目大类名称PHY_TYPE(JYXMMC)
     * @param phyNameMax value
     */
    public void setPhyNameMax(String phyNameMax) {
        this.phyNameMax = phyNameMax;
    }

    /**
     * 检验委托个数(样条数GS)
     * @return value
     */
    public String getSampleCount() {
        return sampleCount;
    }

    /**
     * 检验委托个数(样条数GS)
     * @param sampleCount value
     */
    public void setSampleCount(String sampleCount) {
        this.sampleCount = sampleCount;
    }

    /**
     * 试验类别(所属实验室项目)
     * @return value
     */
    public String getDeptId() {
        return deptId;
    }

    /**
     * 试验类别(所属实验室项目)
     * @param deptId value
     */
    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    /**
     * 长LENGTH
     * @return value
     */
    public String getLength() {
        return length;
    }

    /**
     * 长LENGTH
     * @param length value
     */
    public void setLength(String length) {
        this.length = length;
    }

    /**
     * 宽
     * @return value
     */
    public String getWidth() {
        return width;
    }

    /**
     * 宽
     * @param width value
     */
    public void setWidth(String width) {
        this.width = width;
    }

    /**
     * 试样索引号(COM_BASE_SPLINE)
     * @return value
     */
    public String getEic() {
        return eic;
    }

    /**
     * 试样索引号(COM_BASE_SPLINE)
     * @param eic value
     */
    public void setEic(String eic) {
        this.eic = eic;
    }

    /**
     * 试验方向
     * @return value
     */
    public String getPhyDir() {
        return phyDir;
    }

    /**
     * 试验方向
     * @param phyDir value
     */
    public void setPhyDir(String phyDir) {
        this.phyDir = phyDir;
    }

    /**
     * 名义规格
     * @return value
     */
    public String getSizeDesc() {
        return sizeDesc;
    }

    /**
     * 名义规格
     * @param sizeDesc value
     */
    public void setSizeDesc(String sizeDesc) {
        this.sizeDesc = sizeDesc;
    }

    /**
     * 加工送样人
     * @return value
     */
    public String getJgSendName() {
        return jgSendName;
    }

    /**
     * 加工送样人
     * @param jgSendName value
     */
    public void setJgSendName(String jgSendName) {
        this.jgSendName = jgSendName;
    }

    /**
     * 加工送样时间
     * @return value
     */
    public String getJgSendTime() {
        return jgSendTime;
    }

    /**
     * 加工送样时间
     * @param jgSendTime value
     */
    public void setJgSendTime(String jgSendTime) {
        this.jgSendTime = jgSendTime;
    }

    /**
     * 试验室收样人
     * @return value
     */
    public String getLabReceiveName() {
        return labReceiveName;
    }

    /**
     * 试验室收样人
     * @param labReceiveName value
     */
    public void setLabReceiveName(String labReceiveName) {
        this.labReceiveName = labReceiveName;
    }

    /**
     * 试验室收样时间
     * @return value
     */
    public String getLabReceiveTime() {
        return labReceiveTime;
    }

    /**
     * 试验室收样时间
     * @param labReceiveTime value
     */
    public void setLabReceiveTime(String labReceiveTime) {
        this.labReceiveTime = labReceiveTime;
    }

    /**
     * 环境温度
     * @return value
     */
    public String getCheckTemp() {
        return checkTemp;
    }

    /**
     * 环境温度
     * @param checkTemp value
     */
    public void setCheckTemp(String checkTemp) {
        this.checkTemp = checkTemp;
    }

    /**
     * 设备编码
     * @return value
     */
    public String getDeviceNo() {
        return deviceNo;
    }

    /**
     * 设备编码
     * @param deviceNo value
     */
    public void setDeviceNo(String deviceNo) {
        this.deviceNo = deviceNo;
    }

    /**
     * 设备名称
     * @return value
     */
    public String getDeviceName() {
        return deviceName;
    }

    /**
     * 设备名称
     * @param deviceName value
     */
    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    /**
     * 化验班次
     * @return value
     */
    public String getCheckShift() {
        return checkShift;
    }

    /**
     * 化验班次
     * @param checkShift value
     */
    public void setCheckShift(String checkShift) {
        this.checkShift = checkShift;
    }

    /**
     * 化验班组
     * @return value
     */
    public String getCheckClass() {
        return checkClass;
    }

    /**
     * 化验班组
     * @param checkClass value
     */
    public void setCheckClass(String checkClass) {
        this.checkClass = checkClass;
    }

    /**
     * 化验员(录入人)
     * @return value
     */
    public String getCheckName() {
        return checkName;
    }

    /**
     * 化验员(录入人)
     * @param checkName value
     */
    public void setCheckName(String checkName) {
        this.checkName = checkName;
    }

    /**
     * 化验时间(录入时间)
     * @return value
     */
    public String getCheckTime() {
        return checkTime;
    }

    /**
     * 化验时间(录入时间)
     * @param checkTime value
     */
    public void setCheckTime(String checkTime) {
        this.checkTime = checkTime;
    }

    /**
     * 审核人
     * @return value
     */
    public String getAuditName() {
        return auditName;
    }

    /**
     * 审核人
     * @param auditName value
     */
    public void setAuditName(String auditName) {
        this.auditName = auditName;
    }

    /**
     * 审核时间
     * @return value
     */
    public String getAuditTime() {
        return auditTime;
    }

    /**
     * 审核时间
     * @param auditTime value
     */
    public void setAuditTime(String auditTime) {
        this.auditTime = auditTime;
    }

    /**
     * 是否小样热处理(0否，1是) 2已接受样品 3已录入结果 4审核  5样品已返回加工 6已发送样品到试验室
     * @return value
     */
    public String getIsrcl() {
        return isrcl;
    }

    /**
     * 是否小样热处理(0否，1是) 2已接受样品 3已录入结果 4审核  5样品已返回加工 6已发送样品到试验室
     * @param isrcl value
     */
    public void setIsrcl(String isrcl) {
        this.isrcl = isrcl;
    }

    /**
     * 热处理样品流转备注
     * @return value
     */
    public String getRclMoveRemark() {
        return rclMoveRemark;
    }

    /**
     * 热处理样品流转备注
     * @param rclMoveRemark value
     */
    public void setRclMoveRemark(String rclMoveRemark) {
        this.rclMoveRemark = rclMoveRemark;
    }

    /**
     * 是否监制(在需要监制的情况下0为不监制，1为监制未通知  2为监制已通知，3监制取消，4监制完成)
     * @return value
     */
    public String getIsNoticeProducer() {
        return isNoticeProducer;
    }

    /**
     * 是否监制(在需要监制的情况下0为不监制，1为监制未通知  2为监制已通知，3监制取消，4监制完成)
     * @param isNoticeProducer value
     */
    public void setIsNoticeProducer(String isNoticeProducer) {
        this.isNoticeProducer = isNoticeProducer;
    }

    /**
     * 监制流转备注
     * @return value
     */
    public String getNoticeProducerRemark() {
        return noticeProducerRemark;
    }

    /**
     * 监制流转备注
     * @param noticeProducerRemark value
     */
    public void setNoticeProducerRemark(String noticeProducerRemark) {
        this.noticeProducerRemark = noticeProducerRemark;
    }

    /**
     * 是否重取样 0否 1是 00否 10 重取样无余料 11重取样有余料
     * @return value
     */
    public String getIsResampleRest() {
        return isResampleRest;
    }

    /**
     * 是否重取样 0否 1是 00否 10 重取样无余料 11重取样有余料
     * @param isResampleRest value
     */
    public void setIsResampleRest(String isResampleRest) {
        this.isResampleRest = isResampleRest;
    }

    /**
     * 重取样流转备注
     * @return value
     */
    public String getResampleRestRemark() {
        return resampleRestRemark;
    }

    /**
     * 重取样流转备注
     * @param resampleRestRemark value
     */
    public void setResampleRestRemark(String resampleRestRemark) {
        this.resampleRestRemark = resampleRestRemark;
    }

    /**
     * 特殊样品标志位 ONH 0 开头 00 化学未下发，01化学已下发 02 ONH已确认  ，工程力学1开头 10未确认 11返回加工 12加工收样 13加工下发 14已确认
     * @return value
     */
    public String getSpecFlag() {
        return specFlag;
    }

    /**
     * 特殊样品标志位 ONH 0 开头 00 化学未下发，01化学已下发 02 ONH已确认  ，工程力学1开头 10未确认 11返回加工 12加工收样 13加工下发 14已确认
     * @param specFlag value
     */
    public void setSpecFlag(String specFlag) {
        this.specFlag = specFlag;
    }

    /**
     * 特殊样品流转备注
     * @return value
     */
    public String getSpecMoveRemark() {
        return specMoveRemark;
    }

    /**
     * 特殊样品流转备注
     * @param specMoveRemark value
     */
    public void setSpecMoveRemark(String specMoveRemark) {
        this.specMoveRemark = specMoveRemark;
    }

    /**
     * 0未确认，1待确认，2试验室确认收样，3录入，4审核，9加工已收样
     * @return value
     */
    public String getFlag() {
        return flag;
    }

    /**
     * 0未确认，1待确认，2试验室确认收样，3录入，4审核，9加工已收样
     * @param flag value
     */
    public void setFlag(String flag) {
        this.flag = flag;
    }

    /**
     * 样品备注
     * @return value
     */
    public String getSampleRemark() {
        return sampleRemark;
    }

    /**
     * 样品备注
     * @param sampleRemark value
     */
    public void setSampleRemark(String sampleRemark) {
        this.sampleRemark = sampleRemark;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 性能批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 性能批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 试样类型取样类型0(初样/1复样)
     * @return value
     */
    public String getSampleType() {
        return sampleType;
    }

    /**
     * 试样类型取样类型0(初样/1复样)
     * @param sampleType value
     */
    public void setSampleType(String sampleType) {
        this.sampleType = sampleType;
    }

    /**
     * 委托单位
     * @return value
     */
    public String getConsigner() {
        return consigner;
    }

    /**
     * 委托单位
     * @param consigner value
     */
    public void setConsigner(String consigner) {
        this.consigner = consigner;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }
    
    public String getForCheckNo() {
		return forCheckNo;
	}

	public void setForCheckNo(String forCheckNo) {
		this.forCheckNo = forCheckNo;
	}

	public String getRate() {
		return rate;
	}

	public void setRate(String rate) {
		this.rate = rate;
	}
	
	public String getCheckCount() {
		return checkCount;
	}

	public void setCheckCount(String checkCount) {
		this.checkCount = checkCount;
	}
	
	public String getCraftSource() {
		return craftSource;
	}

	public void setCraftSource(String craftSource) {
		this.craftSource = craftSource;
	}
	
	public String getCailiPath() {
		return cailiPath;
	}

	public void setCailiPath(String cailiPath) {
		this.cailiPath = cailiPath;
	}

	public String getFushiPath() {
		return fushiPath;
	}

	public void setFushiPath(String fushiPath) {
		this.fushiPath = fushiPath;
	}

	public String getJinwuPath() {
		return jinwuPath;
	}

	public void setJinwuPath(String jinwuPath) {
		this.jinwuPath = jinwuPath;
	}

	public String getGongchengPath() {
		return gongchengPath;
	}

	public void setGongchengPath(String gongchengPath) {
		this.gongchengPath = gongchengPath;
	}

	public String getDibeiPath() {
		return dibeiPath;
	}

	public void setDibeiPath(String dibeiPath) {
		this.dibeiPath = dibeiPath;
	}

	public String getHuaxuePath() {
		return huaxuePath;
	}

	public void setHuaxuePath(String huaxuePath) {
		this.huaxuePath = huaxuePath;
	}
	
	public String getLotNoGroup() {
		return lotNoGroup;
	}

	public void setLotNoGroup(String lotNoGroup) {
		this.lotNoGroup = lotNoGroup;
	}
}
